package discord

import (
	"fmt"
)

func init() {
	commands["fired"] = command{
		validate: func(cmd commandInit) bool {
			return true
		},
		run: func(cmd commandInit) (string, error) {
			return fmt.Sprintf("Carolyn has been fired **%d** times!",
				cmd.database.CheckPing(cmd.config.FiredRole)), nil
		},
		help: "Check how many times Carolyn has been fired.",
	}
}
